# Qiniu2Upyun

Migrate Qiniu to Upyun.

## Installation

    $ gem install qiniu2upyun

## Usage

    qiniu2upyun --help

    Usage: qiniu2upyun [options]
        -C, --config PATH                Load PATH as a config file
                                         (default: $HOME/.qiniu2upyun.yml)
        -V, --version                    Show version
        -h, --help                       Show help

## Config

    # $HOME/.qiniu2upyun.yml 

    qiniu:
      access_key: <your_access_key>
      secret_key: <your_secret_key>
      bucket:     <your_bucket>
    upyun:
      username:   <your_username>
      password:   <your_password>
      bucket:     <your_bucket>

## Snap

    $ qiniu2upyun

    Fetch '001.jpg` from qiniu:
        Already exists in upyun and skip migrating.
    
    Fetch '002.jpg` from qiniu:
        Already exists in upyun and skip migrating.

    Fetch '003.jpg` from qiniu:
        Download |========================================| 100%
          Upload |========================================| 100%
                                                (2926510B/12.3s)
    
    Fetch '004.jpg` from qiniu:
        Download |========================================| 100%
          Upload |========================================| 100%
                                                  (758846B/2.8s)
    
    Fetch '005.jpg` from qiniu:
        Download |========================================| 100%
          Upload |========================================| 100%
                                                 (343525B/1.73s)
    
    Complete, migrated 3 files and skipped 2 files in 17.24 seconds.

## Contributing

1. Fork it ( http://gitcafe.com/zgm/QINIU-to-UPYUN/)
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
